Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conf
Class RuntimeSaveDelegate

    java.lang.Object
      org.apache.cayenne.conf.RuntimeSaveDelegate

All Implemented Interfaces:
  ConfigSaverDelegate

    public class RuntimeSaveDelegate

extends Object
implements ConfigSaverDelegate

Save delegate used for saving Cayenne access stack.

Field Summary
`protected Configuration` | `config`

Constructor Summary
`RuntimeSaveDelegate()` Constructor for RuntimeSaveDelegate.
`RuntimeSaveDelegate(Configuration config)`

Method Summary
`Iterator` | `domainNames()`
`protected DataDomain` | `findDomain(String domainName)`
`protected DataNode` | `findNode(String domainName, String nodeName)`
`Iterator` | `linkedMapNames(String domainName, String nodeName)`
`String` | `mapLocation(String domainName, String mapName)`
`Iterator` | `mapNames(String domainName)`
`String` | `nodeAdapterName(String domainName, String nodeName)`
`String` | `nodeDataSourceName(String domainName, String nodeName)`
`String` | `nodeFactoryName(String domainName, String nodeName)`
`Iterator` | `nodeNames(String domainName)`
`String` | `nodeSchemaUpdateStrategyName(String domainName, String nodeName)`
`String` | `projectVersion()`
`Iterator` | `propertyNames(String domainName)`
`String` | `propertyValue(String domainName, String propertyName)`
`String` | `viewLocation(String dataViewName)`
`Iterator<String>` | `viewNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected Configuration config

Constructor Detail

### RuntimeSaveDelegate

    public RuntimeSaveDelegate(Configuration config)

### RuntimeSaveDelegate

    public RuntimeSaveDelegate()

  Constructor for RuntimeSaveDelegate.

Method Detail

### findDomain

    protected DataDomain findDomain(String domainName)

### findNode

    protected DataNode findNode(String domainName,
                                String nodeName)

### projectVersion

    public String projectVersion()

  Specified by:
    `projectVersion` in interface `ConfigSaverDelegate`
  Since:
    1.1

### domainNames

    public Iterator domainNames()

  Specified by:
    `domainNames` in interface `ConfigSaverDelegate`

### viewNames

    public Iterator<String> viewNames()

  Specified by:
    `viewNames` in interface `ConfigSaverDelegate`
  Since:
    1.1

### viewLocation

    public String viewLocation(String dataViewName)

  Specified by:
    `viewLocation` in interface `ConfigSaverDelegate`
  Since:
    1.1

### propertyNames

    public Iterator propertyNames(String domainName)

  Specified by:
    `propertyNames` in interface `ConfigSaverDelegate`

### propertyValue

    public String propertyValue(String domainName,
                                String propertyName)

  Specified by:
    `propertyValue` in interface `ConfigSaverDelegate`

### mapLocation

    public String mapLocation(String domainName,
                              String mapName)

  Specified by:
    `mapLocation` in interface `ConfigSaverDelegate`

### mapNames

    public Iterator mapNames(String domainName)

  Specified by:
    `mapNames` in interface `ConfigSaverDelegate`

### nodeAdapterName

    public String nodeAdapterName(String domainName,
                                  String nodeName)

  Specified by:
    `nodeAdapterName` in interface `ConfigSaverDelegate`

### nodeDataSourceName

    public String nodeDataSourceName(String domainName,
                                     String nodeName)

  Specified by:
    `nodeDataSourceName` in interface `ConfigSaverDelegate`

### nodeFactoryName

    public String nodeFactoryName(String domainName,
                                  String nodeName)

  Specified by:
    `nodeFactoryName` in interface `ConfigSaverDelegate`

### nodeSchemaUpdateStrategyName

    public String nodeSchemaUpdateStrategyName(String domainName,
                                               String nodeName)

  Specified by:
    `nodeSchemaUpdateStrategyName` in interface `ConfigSaverDelegate`
  Since:
    3.0

### nodeNames

    public Iterator nodeNames(String domainName)

  Specified by:
    `nodeNames` in interface `ConfigSaverDelegate`

### linkedMapNames

    public Iterator linkedMapNames(String domainName,
                                   String nodeName)

  Specified by:
    `linkedMapNames` in interface `ConfigSaverDelegate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.